### Method

# Hinoko FwIsoIrSingle map_buffer

since: 0.7

#### Declaration [src]

    gboolean
    hinoko_fw_iso_ir_single_map_buffer (
      HinokoFwIsoIrSingle* self,
      guint maximum_bytes_per_payload,
      guint payloads_per_buffer,
      GError** error
    )

#### Description [src]

Map intermediate buffer to share payload of IR context with 1394 OHCI hardware.

Available since: 0.7

#### Parameters

`maximum_bytes_per_payload`

  Type: `guint`

  The maximum number of bytes per payload of IR context.

`payloads_per_buffer`

  Type: `guint`

  The number of payload in buffer.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.